      subroutine net_initialize
      include 'implno.dek'
      include 'network.dek'

! initializes quantities

! local variables
      integer   i


! screen_on options : 0=no screening, 1=asymmetric screening, 2=symmetric screening'

      screen_on = asymmetric_screening

! cf88_overide options : 0=use which_bdat rates, 1=replace which_bdat rates with cf88 rates where avaliable 

      cf88_override   = 0 

! set which_bdat to use the new stuff
      which_bdat = 1

! general option, on=1 or off=0'
      use_tables     = 0
      weak_on        = 1
      lmp_on         = 1
      pure_network   = 0


! rate controls
      write_rates    = 0
      shut_down_ng   = 0
      shut_down_pn   = 0
      shut_down_pg   = 0
      shut_down_ap   = 0
      shut_down_an   = 0
      shut_down_ag   = 0
      shut_down_specials = 0
      renorm_abundances = 1


! printing information
      iprint_files  = 1
      iprint_screen = 1


! inititailize the burn type logicals
      one_step             = .false.
      hydrostatic          = .false.
      expansion            = .false.
      self_heat_const_den  = .false.
      self_heat_const_pres = .false.
      pt_hist              = .false.
      bbang                = .false.
      detonation           = .false.
      trho_hist            = .false.


! adiabatic expanion off
      psi       = 0.0d0
      temp_stop = 1.0d30


! scaling values for the energy, temperature, and density evolution equations
      energy_scale     = 1.0d0
      inv_energy_scale = 1.0d0
      temp_scale       = 1.0d0
      inv_temp_scale   = 1.0d0
      den_scale        = 1.0d0
      inv_den_scale    = 1.0d0

      return
      end
